#1578 closed enhancement (wontfix)

Add retries to bdbuf writeback

Reported by: Arnout Vandecappelle Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: lib/block Version: 4.11
Severity: minor Keywords:
Cc: chrisj@…, sebastian.huber@… Blocked By:
Blocking:

Description

I have an SPI controller that sometimes breaks down, which results in IO errors in the SD card driver (cfr. bug 1569). Attached patch adds retries to the bdbuf code. When a read or write the the SD card (or whatever underlying media) fails, it is retried a configurable number of times. Note that the configuration is global, not per disk device.

The default retry value is 0, which reproduces the original behaviour.

This does not retry all access to disk devices (in particular, initialization isn't retried), but it covers most situations.

Attachments (1)

0001-cpukit-bdbuf-retry-failed-transfers.patch (3.5 KB) - added by Arnout Vandecappelle on Jun 21, 2010 at 3:34:20 PM.
bdbuf: retry failed transfers

Download all attachments as: .zip

Change History (6)

Changed on Jun 21, 2010 at 3:34:20 PM by Arnout Vandecappelle

bdbuf: retry failed transfers

comment:1 Changed on Jun 22, 2010 at 7:10:43 AM by Sebastian Huber

Resolution: wontfix
Status: newclosed, sebastian.huber@embedded-brains.de

comment:2 Changed on Jun 22, 2010 at 11:01:56 AM by Chris Johns

Cc: Chris Johns added

comment:3 Changed on Jun 22, 2010 at 11:21:23 AM by Arnout Vandecappelle

OK, clearly bdbuf isn't the right place to do retries. I'll see if I have time to move it to sdcard.

I also have a problem with the lack of error reporting when the writeback fails (e.g. when the SD card is removed), but I'll move that discussion to the list.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:5 Changed on Oct 10, 2017 at 6:49:19 AM by Sebastian Huber

Component: scorelib/block
Note: See TracTickets for help on using tickets.